Page MenuHomePhabricator

[compiler-rt] add_custom_libcxx should pass LLVM_PATH and a C++ compiler
ClosedPublic

Authored by dsanders on Jan 28 2016, 4:59 AM.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 46259.Jan 28 2016, 4:59 AM
dsanders retitled this revision from to [compiler-rt] add_custom_libcxx should pass LLVM_PATH and a C++ compiler.
dsanders updated this object.
dsanders added a reviewer: samsonov.
dsanders added a subscriber: llvm-commits.

I noticed these issues while working on a better version of D16583 and thought I should post them separately.

samsonov accepted this revision.Feb 1 2016, 1:15 PM
samsonov edited edge metadata.

LGTM, but please address two comments below.

CMakeLists.txt
86

Consider adding COMPILER_RT_TEST_CXX_COMPILER here as well (initializing it from ${CMAKE_CXX_COMPILER}).

cmake/Modules/AddCompilerRT.cmake
301

This should be LLVM_MAIN_SRC_DIR

This revision is now accepted and ready to land.Feb 1 2016, 1:15 PM
dsanders closed this revision.Feb 2 2016, 4:59 AM

Thanks. Both changes were made in the commit (r259493)